Bug 506214 - Nokia USB modem not recognized in NetworkManager
Nokia USB modem not recognized in NetworkManager
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
All Linux
low Severity medium
: alpha
: ---
Assigned To: Dan Williams
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2009-06-15 23:45 EDT by Subhendu Ghosh
Modified: 2016-10-04 00:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-24 17:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2009-06-15 23:45:40 EDT
Description of problem:
modem is not recognized by Network Manager

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect nokia phone (E71/E61) using PC Suite mode via USB

Actual results:
Modem is recognized by OS, but not Network Manager
-- dmesg --
usb 2-1: new full speed USB device using uhci_hcd and address 4
usb 2-1: configuration #1 chosen from 1 choice
cdc_acm 2-1:1.10: ttyACM0: USB ACM device
usbcore: registered new driver cdc_acm
drivers/usb/class/cdc-acm.c: v0.25:USB Abstract Control Model driver for USB modems and ISDN adapters
usbcore: registered new driver cdc_ether
-- dmesg --

-- ll /dev/tty* --
crw-rw---- 1 root uucp 166,  0 Jun 15 23:33 /dev/ttyACM0
crw-rw---- 1 root uucp   4, 64 Jun 15 09:31 /dev/ttyS0
crw-rw---- 1 root uucp   4, 65 Jun 15 09:31 /dev/ttyS1
crw-rw---- 1 root uucp   4, 66 Jun 15 09:31 /dev/ttyS2
crw-rw---- 1 root uucp   4, 67 Jun 15 09:31 /dev/ttyS3
-- ll /dev/tty* --

Expected results:
NetworkManager recognizes modem.

Additional info:
Comment 1 Dan Williams 2009-08-24 17:49:18 EDT
We only support a few mobile broadband cards in RHEL5 (mostly those shipped with Dell laptops), but you can try to add your nokia device to /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi as a GSM device and see if that works.

Note You need to log in before you can comment on or make changes to this bug.